Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::DeviceManager Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
peripheral::DeviceManager Interface Reference

Peripheral Device Manager. More...

`import "PeripheralDeviceManager.idl";`

## Classes
struct | DeviceAddedEvent
| Event: A peripheral device was added. More...
struct | DeviceEvent
| Event: A peripheral device was added or removed. More...
struct | DeviceFirmwareUpdateStateChangedEvent
| Event: Firmware update on a device was started or has finished. More...
struct | DeviceRemovedEvent
| Event: A peripheral device was removed. More...
struct | DeviceTypeInfo
| Peripheral device type info. More...
struct | FirmwareUpdateState
| Firmware update status. More...
struct | FirmwareUpdateStateChangedEvent
| Event: Firmware update state has changed This event will be sent to enclose one of more `DeviceFirmwareUpdateStateChangedEvent`. More...
struct | MetaData
| Peripheral DeviceManager's metadata. More...
struct | PackageAddedEvent
| Event: A peripheral device package was added. More...
struct | PackageEvent
| Event: A peripheral device package was added or removed. More...
struct | PackageRemovedEvent
| Event: A peripheral device package was removed. More...
struct | Settings
| peripheral DeviceManager's s settings More...
struct | SettingsChangedEvent
| Event: Peripheral device manager's settings have been changed. More...
struct | Statistics
| Peripheral device statistics. More...
struct | UnknownDeviceAttachedEvent
| Event: An unknown device was attached. More...

## Public Types
enum | ZCoordMode { RACKUNITS , FREEFORM }
| Z Coordinate Mode identifier. More...
enum | DeviceFirmwareUpdateState { UPDATE_STARTED , UPDATE_SUCCESSFUL , UPDATE_FAILED }
| Enumeration: State of device firmware update. More...

## Public Member Functions
vector< DeviceSlot > | getDeviceSlots ()
| Get the list of peripheral device slots.
DeviceSlot | getDeviceSlot (in int idx)
| Get a DeviceSlot by its index.
vector< SensorHub > | getSensorHubs ()
| Get the list of sensor hubs.
vector< Device > | getDiscoveredDevices ()
| Get the list of currently attached peripheral devices.
vector< PackageInfo > | getDiscoveredPackageInfos ()
| Get the list of currently attached peripheral device packages.
Settings | getSettings ()
| Retrieve the peripheral DeviceManager's settings.
int | setSettings (in Settings settings)
| Change the peripheral DeviceManager's settings.
MetaData | getMetaData ()
| Retreive the Peripheral DeviceManager's metadata.
vector< DeviceTypeInfo > | getDeviceTypeInfos ()
| Get the list of all peripheral device type infos.
FirmwareUpdateState | getFirmwareUpdateState ()
| Return the state of device firmware updates running on devices connected to this device manager.
Statistics | getStatistics ()
| Retrieve statistics.
vector< Package > | getDiscoveredPackages ()
| Get the list of currently attached peripheral device packages.
portsmodel::PortFuse | getPortFuse ()
| Get the fuse for the sensor port.
GatewaySensorManager | getGatewaySensorManager ()
| Get gateway sensors configuration manager.

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
constant int | ERR_NOT_ON_SECONDARY = 2
| Unsupported on secondary instance.

## Detailed Description

Peripheral Device Manager.

Definition at line 22 of file PeripheralDeviceManager.idl.

## Member Enumeration Documentation

## ◆ DeviceFirmwareUpdateState

enum peripheral::DeviceManager::DeviceFirmwareUpdateState

Enumeration: State of device firmware update.

Enumerator
UPDATE_STARTED | Update is running.
UPDATE_SUCCESSFUL | Update has finished successfully.
UPDATE_FAILED | Update has failed.

Definition at line 91 of file PeripheralDeviceManager.idl.

## ◆ ZCoordMode

enum peripheral::DeviceManager::ZCoordMode

Z Coordinate Mode identifier.

Enumerator
RACKUNITS | Z coordinate of slot settings is in rack units.
FREEFORM | Z coordinate of slot settings is free form text.

Definition at line 28 of file PeripheralDeviceManager.idl.

## Member Function Documentation

## ◆ getDeviceSlot()

DeviceSlot peripheral::DeviceManager::getDeviceSlot | ( | in int | idx | ) |

Get a DeviceSlot by its index.

Parameters

  idx | index of the slot to get (0-based)

Returns
  the requested slot

## ◆ getDeviceSlots()

vector< DeviceSlot > peripheral::DeviceManager::getDeviceSlots | ( |  | ) |

Get the list of peripheral device slots.

Returns
  List of peripheral device slots

## ◆ getDeviceTypeInfos()

vector< DeviceTypeInfo > peripheral::DeviceManager::getDeviceTypeInfos | ( |  | ) |

Get the list of all peripheral device type infos.

Returns
  List of all peripheral device type infos

## ◆ getDiscoveredDevices()

vector< Device > peripheral::DeviceManager::getDiscoveredDevices | ( |  | ) |

Get the list of currently attached peripheral devices.

Returns
  List of all discovered peripheral devices

## ◆ getDiscoveredPackageInfos()

vector< PackageInfo > peripheral::DeviceManager::getDiscoveredPackageInfos | ( |  | ) |

Get the list of currently attached peripheral device packages.

Returns
  List of all discovered peripheral device packages

## ◆ getDiscoveredPackages()

vector< Package > peripheral::DeviceManager::getDiscoveredPackages | ( |  | ) |

Get the list of currently attached peripheral device packages.

Returns
  List of all discovered peripheral device packages

## ◆ getFirmwareUpdateState()

FirmwareUpdateState peripheral::DeviceManager::getFirmwareUpdateState | ( |  | ) |

Return the state of device firmware updates running on devices connected to this device manager.

Returns
  Firmware update state

## ◆ getGatewaySensorManager()

GatewaySensorManager peripheral::DeviceManager::getGatewaySensorManager | ( |  | ) |

Get gateway sensors configuration manager.

Returns
  A GatewaySensorManager instance

## ◆ getMetaData()

MetaData peripheral::DeviceManager::getMetaData | ( |  | ) |

Retreive the Peripheral DeviceManager's metadata.

Returns
  Peripheral DeviceManager's metadata

## ◆ getPortFuse()

portsmodel::PortFuse peripheral::DeviceManager::getPortFuse | ( |  | ) |

Get the fuse for the sensor port.

Returns
  A fuse instance, if available

## ◆ getSensorHubs()

vector< SensorHub > peripheral::DeviceManager::getSensorHubs | ( |  | ) |

Get the list of sensor hubs.

Returns
  List of sensor hubs at ports of requested type

## ◆ getSettings()

Settings peripheral::DeviceManager::getSettings | ( |  | ) |

Retrieve the peripheral DeviceManager's settings.

Returns
  peripheral DeviceManager's settings

## ◆ getStatistics()

Statistics peripheral::DeviceManager::getStatistics | ( |  | ) |

Retrieve statistics.

Returns
  peripheral device statistics

## ◆ setSettings()

int peripheral::DeviceManager::setSettings | ( | in Settings | settings | ) |

Change the peripheral DeviceManager's settings.

Parameters

  settings | New peripheral DeviceManager's settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if this is a secondary instance; use primary to set settings

## Member Data Documentation

## ◆ ERR_INVALID_PARAMS

constant int peripheral::DeviceManager::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 24 of file PeripheralDeviceManager.idl.

## ◆ ERR_NOT_ON_SECONDARY

constant int peripheral::DeviceManager::ERR_NOT_ON_SECONDARY = 2

Unsupported on secondary instance.

Definition at line 25 of file PeripheralDeviceManager.idl.

The documentation for this interface was generated from the following file:

- PeripheralDeviceManager.idl